﻿# STOPA WMS Client Buechel Blech AG
# 2017 foo.li systeme + software

$packageName  	= 'stopa-wms'
$packageSearch 	= 'STOPA Warehouse Management System Version 4.xx'
$packageVersion	= '4.xx'
$fileType	 	= 'exe'
$url  			= '\\winsrv001\STOPA-Client\Setup_WMS4Client.exe'
$url64 			= $url
$silentArgs		= '/SILENT'
$validExitCodes = @(0,3010)
$checksum 		= ''
$checksum64 	= $checksum
$checksumType   = 'sha1'

try {
	#$app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
    #                                'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*') `
    #        -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }
	#		
    #if ($app) {
    #    Write-Output $(
    #    'STOPA WMS is already installed. ' +
    #    'No need to install again.'
    #    )
    #} else {
	
	$ProcessActive = Get-Process WMSClient -ErrorAction SilentlyContinue
	if (!($ProcessActive -eq $null)) {
		Write-Host 'WMS is still running, killing process...'
		ps WMSClient -ErrorAction SilentlyContinue | kill -PassThru -Force 
	}
	Write-Host 'starting WMS setup...'
	Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
		-checksum $checksum -checksumType $checksumType -checksum64 $checksum64 `
		-checksumType64 $checksumType64 -validExitCodes $validExitCodes
	Write-Host 'Housekeeping...'
    Move-Item -Path "$env:appdata\Microsoft\Windows\Start Menu\Programs\STOPA Warehouse Management System" `
		-Destination "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\STOPA Warehouse Management System" -Force -ErrorAction SilentlyContinue
	Write-Host 'creating Desktop shortcut...'
	# Create a Shortcut with Windows PowerShell
	$TargetFile = "$env:SystemDrive\Stopa\Client\WMSClient.exe"
	$ShortcutFile = "$env:Public\Desktop\WMS Client.lnk"
	$WScriptShell = New-Object -ComObject WScript.Shell
	$Shortcut = $WScriptShell.CreateShortcut($ShortcutFile)
	$Shortcut.TargetPath = $TargetFile
	$Shortcut.Save()
} catch {
    throw $_.Exception
}

